% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/structural_resources_classifications.R
\name{get_structuralresources_codelists_agency_resource_version_codes}
\alias{get_structuralresources_codelists_agency_resource_version_codes}
\title{Get codelists agency resource version codes}
\usage{
get_structuralresources_codelists_agency_resource_version_codes(agencyID,
  resourceID, version, limit = 25, offset = 0, query = NULL,
  orderBy = NULL, openness = NULL, order = NULL, fields = NULL)
}
\arguments{
\item{agencyID}{(string) Agency identificator.}

\item{resourceID}{(string) Resource identificator.}

\item{version}{(string) Specific resource version.}

\item{limit}{(int) Results limit. By default \code{limit = 25}.}

\item{offset}{(int) Displacement. Result from which it is returned.  By default \code{offset = 0}.}

\item{query}{(string) Query to filter the results.}

\item{orderBy}{(string) Field by which to sort the results.}

\item{openness}{(string) Opening established for viewing.}

\item{order}{(string) Order established for visualization.}

\item{fields}{(string) Additional fields that you want to show in the answer.}
}
\description{
This function allows to consult the codes of a version of a
 classification. Note that if wildcards are used as \code{~all} or one of the
 \code{limit}, \code{offset}, \code{query} or \code{orderBy} parameters,
 the list will be automatically paginated.
}
\examples{
get_structuralresources_codelists_agency_resource_version_codes("ISTAC", "CL_AREA_ES", "01.000")
}
